# Uses of Interface
org.opensaml.saml.saml1.profile.SAML1NameIdentifierGenerator

Packages that use SAML1NameIdentifierGenerator
Package
Description
org.opensaml.saml.saml1.profile
Classes for SAML 1.x profile behavior.
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.

## Uses of SAML1NameIdentifierGenerator in org.opensaml.saml.saml1.profile

Classes in org.opensaml.saml.saml1.profile that implement SAML1NameIdentifierGenerator
Modifier and Type
Class
Description
`class`
`AbstractSAML1NameIdentifierGenerator`
Abstract base class for simple implementations of `SAML1NameIdentifierGenerator`.

## Uses of SAML1NameIdentifierGenerator in org.opensaml.saml.saml1.profile.impl

Classes in org.opensaml.saml.saml1.profile.impl that implement SAML1NameIdentifierGenerator
Modifier and Type
Class
Description
`class`
`ChainingSAML1NameIdentifierGenerator`
Subclass incorporating SAML 1 interface.
Fields in org.opensaml.saml.saml1.profile.impl declared as SAML1NameIdentifierGenerator
Modifier and Type
Field
Description
`private SAML1NameIdentifierGenerator`
AddNameIdentifierToSubjects.`generator`
Generator to use.
Methods in org.opensaml.saml.saml1.profile.impl with parameters of type SAML1NameIdentifierGenerator
Modifier and Type
Method
Description
`void`
AddNameIdentifierToSubjects.`setNameIdentifierGenerator(SAML1NameIdentifierGenerator theGenerator)`
Set the generator to use.